### Virtual Method

# Nautilus FileInfo get_activation_uri

#### Declaration [src]

    char*
    get_activation_uri (
      NautilusFileInfo* file_info
    )

#### Description [src]

Gets the activation uri.

The activation uri may differ from the actual URI if e.g. the file is a .desktop file or a Nautilus XML link file.

#### Return value

Type: `char*`

The activation URI of `file_info`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.